---
title: "Standort"
source: /de/gcxone/api/site
locale: de
updated: 2026-09-04
---
Operationen an Standort‑Ressourcen. 19 Endpunkte, jeweils relativ zu `https://api.nxgen.cloud/api/v1` und authentifiziert wie unter [Authentifizierung](/gcxone/api/authentication).

## GET /site/

Standort nach Name abrufen

### Parameter

| Name | In | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| siteName | Abfrage | Zeichenkette | ja | SiteName. |

### Antworten

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Erfolg |  |
| 204 | Kein Inhalt |  |
| 400 | Ungültige Eingabe |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |

## POST /site/

Neuen Standort erstellen

### Anfrage Body

Standort hinzufügen

```json
{
  "payload": {
    "id": "string",
    "name": "string (required)",
    "email": "string",
    "isActive": "boolean",
    "houseBuildingNumber": "string",
    "streetName": "string",
    "city": "string",
    "state": "string",
    "country": "string",
    "code": "string",
    "logo": "string",
    "business": [
      "object"
    ],
    "tags": [
      "object"
    ],
    "photos": [
      "object"
    ],
    "followers": [
      "object"
    ],
    "latitude": "string",
    "longitude": "string",
    "plusCode": "string",
    "what3Words": "string",
    "jsonSchema": "object",
    "countryCode": "string",
    "contactEmail": "string",
    "parentAccountId": "string",
    "customerId": "string",
    "serviceProviderId": "string",
    "parent": "string"
  }
}
```

### Antworten

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Erfolg |  |
| 204 | Kein Inhalt |  |
| 400 | Ungültige Eingabe |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |

## GET /site/arming/info/{id}

Site-Arm-Detail nach siteId abrufen

### Parameter

| Name | In | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| id | Pfad | String | ja |  |

### Antworten

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Erfolg | Objekt |
| 204 | Kein Inhalt |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |

Beispiel `200` Antwort:

```json
{
  "siteArmState": "partiallyArmed",
  "devices": [
    {
      "name": "Embedded Net DVR",
      "id": "4e5147ac173b42c3bd98b986eb9a06dc",
      "armState": "disarmed"
    },
    {
      "name": "Embedded Net DVR",
      "id": "dc7adfd8e57c49b4a7709f8f7da06804",
      "armState": "armed"
    },
    {
      "name": "Embedded Net DVR",
      "id": "c7e5012d9b7d4d3c928d98652510f976",
      "armState": "armed"
    }
  ]
}
```

## GET /site/arming/infoByName

Abrufen der Scharf-/Unscharf-Details des Standorts nach Standortname

### Parameter

| Name | Im | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| siteName | query | string | ja |  |

### Antworten

| Status | Beschreibung | Body |
| --- | --- | --- |
| 200 | Erfolg |  |
| 204 | Kein Inhalt |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |
| 404 | Nicht gefunden |  |

## PUT /site/arming?siteId={siteId}&action={action}

Schärfen/Entschärfen nach siteID aktualisieren

### Parameter

| Name | Im | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| siteId | query | string | ja |  |
| action | query | boolean | ja |  |

### Antworten

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Erfolg | Objekt |
| 204 | Kein Inhalt |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |
| 404 | Nicht gefunden |  |

Beispiel `200` Antwort:

```json
{
  "data": [
    {
      "name": "Embedded Net DVR",
      "result": {
        "errorCode": 0,
        "message": "OK"
      }
    },
    {
      "name": "Embedded Net DVR",
      "result": {
        "errorCode": 0,
        "message": "OK"
      }
    },
    {
      "name": "Embedded Net DVR",
      "result": {
        "errorCode": 0,
        "message": "OK"
      }
    }
  ]
}
```

## PUT /site/arming?siteName={siteName}&action={action}

Schärfen/Entschärfen nach siteName aktualisieren

### Parameter

| Name | In | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| siteName | Abfrage | Zeichenkette | ja |  |
| action | Abfrage | Boolesch | ja |  |

### Antworten

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Erfolg |  |
| 204 | Kein Inhalt |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |
| 404 | Nicht gefunden |  |

## POST /site/filter

Ruft die Standortliste mit Filterung, Sortierung und Pagination ab. Es ermöglicht die Suche nach hierarchischen Ebenen. Es kann anhand einer angegebenen Hierarchie gefiltert werden oder verwendet die Hierarchie des angemeldeten Benutzers. Dies bietet die Möglichkeit, zusätzliche Entitätsfelder in der Antwort zu erhalten. Außerdem werden Konfigurations-Metadaten zur Entität bereitgestellt.

### Request body

Standortfilterung und -sortierung

```json
{
  "filters": [
    {
      "columnName": "string (required)",
      "type": "distinctList | date | number | StringConditionFilter (required)",
      "filter": "object (required)"
    }
  ],
  "sortOrder": [
    {
      "columnName": "string",
      "isAscending": "boolean"
    }
  ],
  "primaryColumns": [
    "string"
  ],
  "hierarchyLevel": "string",
  "hierarchyId": "string",
  "nPerPage": "number",
  "pageNumber": "number",
  "isConfigDetailRequired": "boolean",
  "getConfig": "boolean",
  "getChildOrParent": "boolean"
}
```

### Responses

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Erfolg | Objekt |
| 204 | Kein Inhalt |  |
| 400 | Ungültige Eingabe |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |

Beispiel `200` Antwort:

```json
{
  "config": {
    "columns": [
      {
        "visibility": true,
        "columnName": "commercialName",
        "DisplayName": "Site",
        "isFilterable": true,
        "filterType": "stringCondition",
        "sticky": true,
        "isRightBorder": true,
        "isMandatory": true,
        "isNotDraggable": true
      }
    ],
    "defaultNPerPage": 50,
    "defaultFilterCondition": [],
    "defaultSortingOrder": [
      {
        "columnName": "dateTime",
        "isAscending": false
      }
    ],
    "maxVisibleColumnCount": 6,
    "exportLimitNPerPage": 500
  },
  "dataResult": [
    {
      "name": "Site test",
      "dateTime": 1655213317621,
      "uniqueId": "c772ac8dd22f4a9a8849c332afe3f188",
      "parentAccountId": "d76dfac772ac8dcb7db87a6c772ac8d",
      "country": "",
      "streetName": "",
      "state": "",
      "isActive": "true",
      "customerName": "Customer TEST"
    },
    {
      "name": "Site test 2",
      "dateTime": 1648447044408,
      "uniqueId": "a9dc0ac94dfd4297b8241cb7db87a65e",
      "parentAccountId": "d76dfac772ac8dcb7db87a6c772ac8d",
      "country": "",
      "streetName": "",
      "state": "",
      "isActive": "true",
      "customerName": "Customer TEST"
    }
  ],
  "totalRecordsCount": 3552,
  "filteredBy": [],
  "sortedBy": [
    {
      "columnName": "dateTime",
      "isAscending": false
    }
  ],
  "dispatchedAll": false,
  "isDefaultProjectionMutated": false,
  "isDefaultFilterMutated": false,
  "isDefaultSortingMutated": false
}
```

## GET /site/id/{id}/app

Standortinformationen per Objekt-ID für die App abrufen

### Parameter

| Name | Ein | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| id | Pfad | Zeichenkette | ja |  |

### Antworten

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Erfolg | Objekt |
| 204 | Kein Inhalt |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |
| 404 | Nicht gefunden |  |

Beispiel `200` Antwort:

```json
{
  "data": {
    "id": "rtyt67457474dfa6c3567567cd94b7aa3ee",
    "name": "Test",
    "address": {
      "location": {
        "latitude": "",
        "longitude": "",
        "plusCode": " ",
        "what3Words": " "
      },
      "contact": {
        "countryCode": "",
        "phoneNumber": ""
      },
      "houseBuildingNumber": "",
      "streetName": "",
      "city": "",
      "state": "",
      "code": "",
      "country": ""
    },
    "deviceCount": 1,
    "totalSensor": 9,
    "cameraCount": 9,
    "alarmCountInLast24hr": 15,
    "alarmCountbetween24to48hr": 18,
    "IOCount": 0,
    "otherSensorCount": 0
  },
  "isSuccess": true
}
```

## PUT /site/isolate?siteId={siteId}&enable={enable}

Liste der Benutzer unter Standort abrufen

### Parameter

| Name | In | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| siteId | Abfrage | Zeichenkette | ja |  |
| enable | Abfrage | Boolesch | ja |  |
| isolateStartTime | Abfrage | Zahl | nein |  |
| Dauer | Abfrage | Zahl | nein |  |

### Antworten

| Status | Beschreibung | Body |
| --- | --- | --- |
| 200 | Erfolg |  |
| 204 | Kein Inhalt |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |
| 404 | Nicht gefunden |  |

## PUT /site/isolate?siteName={siteName}&enable={enable}

Isolation nach Standort aktualisieren

### Parameter

| Name | In | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| siteName | Abfrage | Zeichenkette | ja |  |
| enable | Abfrage | Boolesch | ja |  |
| isolateStartTime | Abfrage | Zahl | nein |  |
| Dauer | Abfrage | Nummer | Nein |  |

### Antworten

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Erfolg |  |
| 204 | Kein Inhalt |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |
| 404 | Nicht gefunden |  |

## GET /site/isolation/infoByName

Schärfungsdetails des Standorts nach Standortname abrufen

### Parameter

| Name | Im | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| siteName | Abfrage | Zeichenkette | ja |  |

### Antworten

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Erfolg |  |
| 204 | Kein Inhalt |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |
| 404 | Nicht gefunden |  |

## POST /site/listByCustomerIds

Standorte nach Kundennummer-Liste abrufen

### Anfragekörper

Standorte abrufen

```json
{
  "customerIds": [
    "string"
  ]
}
```

### Antworten

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Erfolg | Objekt |
| 204 | Kein Inhalt |  |
| 400 | Ungültige Eingabe |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |

Beispiel `200` Antwort:

```json
{
  "data": [
    {
      "key": "7f01237864567eba89736f825",
      "label": "site name",
      "customerName": "customer name"
    }
  ]
}
```

## GET /site/presetPTZ

PTZ / Preset basierend auf Standortname

### Parameter

| Name | In | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| siteName | query | Zeichenkette | ja |  |
| action | query | "R" \| "R\_STOP" \| "L" \| "L\_STOP" \| "U" \| "U\_STOP" \| "D" \| "D\_STOP" \| "Z+" \| "Z+\_STOP" \| "1" \| "2" \| "3" \| "4" \| "5" \| "6" \| "7" \| "8" \| "9" \| "10" | ja | Wählen Sie einen Wert von 1 bis 10 für preset, alle anderen für PTZ |
| commandType | query | "ptz" \| "preset" | ja |  |
| webSocketPort | query | string | nein | erforderlich für Heitel Gerätetyp |
| momentSpeed | query | string | nein | PTZ‑Geschwindigkeit |

### Antworten

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Erfolg |  |
| 204 | Kein Inhalt |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |
| 404 | Nicht gefunden |  |

## POST /site/search

Standorte für App suchen

### Anfrage‑Inhalt

Standorte suchen

```json
{
  "payload": {
    "skip": "number (required)",
    "limit": "number (required)",
    "siteName": "string"
  }
}
```

### Antworten

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Erfolg | Objekt |
| 401 | Nicht autorisiert |  |

Beispiel `200` Antwort:

```json
{
  "data": [
    {
      "siteName": "Site A",
      "siteId": "l8c90c0f62c64d16751acc5ea13082y",
      "deviceCount": 0,
      "alarmCount": 0
    },
    {
      "siteName": "Site B",
      "siteId": "u8b51c17cb474c2a6757273d193303cb",
      "deviceCount": 1,
      "alarmCount": 0
    }
  ],
  "isSuccess": true
}
```

## GET /site/{id}

Abrufen nach Site‑ID

### Parameter

| Name | In | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| id | path | string | yes |  |

### Antworten

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Erfolg |  |
| 204 | Kein Inhalt |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |
| 404 | Nicht gefunden |  |

## PUT /site/{id}

Vorhandene Site aktualisieren

### Parameter

| Name | In | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| id | Pfad | Zeichenkette | ja |  |

### Anfrage‑Body

```json
{
  "payload": {
    "id": "string",
    "uniqueId": "string",
    "name": "string (required)",
    "profile": {
      "logo": "string",
      "business": [
        "object"
      ],
      "photos": [
        "object"
      ],
      "tags": [
        "object"
      ],
      "followers": [
        "object"
      ],
      "s3ImagePath": "string"
    },
    "address": {
      "houseBuildingNumber": "string",
      "streetName": "string",
      "city": "string",
      "state": "string",
      "code": "string",
      "country": "string",
      "location": {
        "latitude": "string",
        "longitude": "string",
        "plusCode": "string",
        "what3Words": "string"
      },
      "contact": {
        "countryCode": "string",
        "phoneNumber": "string"
      }
    },
    "email": "string",
    "parentAccountId": "string",
    "isActive": "boolean",
    "jsonSchema": "object",
    "parentEventProviderId": "string",
    "masterEventProviderId": "string",
    "serviceProviderId": "string",
    "customerId": "string",
    "groupParent": "string",
    "description": "string",
    "syncStatus": "boolean"
  }
}
```

### Antworten

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Erfolg |  |
| 204 | Kein Inhalt |  |
| 400 | Ungültige Eingabe |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |

## DELETE /site/{id}

Site anhand der ID löschen

### Parameter

| Name | Im | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| id | Pfad | Zeichenkette | ja |  |

### Antworten

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Erfolg |  |
| 204 | Kein Inhalt |  |
| 400 | Ungültige Eingabe |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |

## GET /site/{id}/devices

Liste der Geräte unter Standort abrufen

### Parameter

| Name | In | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| id | path | string | Ja |  |

### Antworten

| Status | Beschreibung | Body |
| --- | --- | --- |
| 200 | Erfolg |  |
| 204 | Kein Inhalt |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |
| 404 | Nicht gefunden |  |

## GET /site/{id}/users

Liste der Benutzer unter Standort abrufen

### Parameter

| Name | In | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| id | Pfad | Zeichenkette | ja |  |

### Antworten

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Erfolg |  |
| 204 | Kein Inhalt |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |
| 404 | Nicht gefunden |  |